Subject: Re: Cannot boot GuixSD after system reconfigure

From: [email-masked] (Ludovic Courtès)
Date: Fri, 22 Sep 2017 18:41:55 +0200

Danny Milosavljevic <[email-masked]> skribis:

> On Fri, 22 Sep 2017 16:03:47 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> However, there’s one thing I’d like to double-check with Danny, which is
>> the word order.  With this patch, I have:
>> 
>>   (fat32-uuid->string (string->fat32-uuid "aabb-ccdd"))
>>   $7 = "CCDD-AABB"
>> 
>> Danny: are you sure the most-significant 16-bit word comes last?
>
> See https://github.com/karelzak/util-linux/blob/master/libblkid/src/superblocks/vfat.c#L48
>
> blkid_probe_sprintf_uuid(pr, vol_serno, 4, "%02X%02X-%02X%02X",
> vol_serno[3], vol_serno[2], vol_serno[1], vol_serno[0]);

I see, thanks!

Roel, with commit 8a7d81a5e23c4d59fbabf2550db32d4ba5572e4b, you should
be able to write:

  (uuid "abcd-1234" 'fat32)

in your config, and it should work.

Let me know if it doesn’t.  :-)

Ludo’.